<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:bind="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="com.vessel.app.ready.instructionstips.ui.InstrucationTabUIModel" />
    </data>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/beige_color">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="@dimen/spacing_2xl">

            <TextView
                android:id="@+id/title"
                style="@style/Title.XL"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@{item.title}"
                android:textSize="@dimen/font_title"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="@string/direct_pee_title" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/tips"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/title"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:itemCount="3"
                tools:listitem="@layout/item_instructions_tab_tip"/>

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/timeIv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spacing_4xl"
                android:src="@{item.periodIcon}"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tips"
                tools:src="@drawable/how_to_use_card_period" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/cupIv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spacing_large"
                android:layout_marginEnd="@dimen/spacing_xl"
                android:scaleType="fitEnd"
                android:src="@{item.cardIcon}"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tips"
                tools:src="@drawable/how_to_use_card" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>

</layout>
